summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2018-09-30 18:44:20 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2018-09-30 18:44:20 +0000
commit777fb0c43993bf35113ce86e14fb39710b71fe0c (patch)
treec1ee2b8fc7df689e28d93b2619ef3aad9c114fca
parentReleasing progress-linux version 1.1.2+dfsg1-2~dschinn1. (diff)
downloadntpsec-777fb0c43993bf35113ce86e14fb39710b71fe0c.zip
ntpsec-777fb0c43993bf35113ce86e14fb39710b71fe0c.tar.xz
Merging debian version 1.1.2+dfsg1-3.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
-rw-r--r--debian/changelog6
-rw-r--r--debian/ntpsec.postrm3
2 files changed, 8 insertions, 1 deletions
diff --git a/debian/changelog b/debian/changelog
index cd29f96..2b8f8d7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+ntpsec (1.1.2+dfsg1-3) unstable; urgency=medium
+
+ * Cleanup /var/lib/ntpsec on purge (Closes: 909923)
+
+ -- Richard Laager <rlaager@wiktel.com> Sun, 30 Sep 2018 03:59:25 -0500
+
ntpsec (1.1.2+dfsg1-2~dschinn1) dschinn-backports; urgency=medium
* Uploading to dschinn-backports, remaining changes:
diff --git a/debian/ntpsec.postrm b/debian/ntpsec.postrm
index abd6355..2cc066a 100644
--- a/debian/ntpsec.postrm
+++ b/debian/ntpsec.postrm
@@ -14,7 +14,8 @@ installinit_error() {
#DEBHELPER#
if [ "$1" = "purge" ]; then
- rm -rf /var/log/ntpsec
+ rm -rf /var/lib/ntpsec/ntp.drift /var/log/ntpsec
+ rmdir /var/lib/ntpsec 2> /dev/null || true
if ! LANG=C dpkg -s ntpsec-ntpviz 2> /dev/null | \
grep -qE "^Status: (hold|install)"; then
deluser --system --quiet ntpsec || true